### What is

You may want to give the user an instant feedback when they click a button (for example, in video games opening a treasure might have a chime or the controller might shake) (keyboards have tactile and auditorial feedback when user types)

In the case of mobile, oftentimes clicking a button gives a faded look. On desktop web, usually the link changes style when you hover your mouse over it, when you click it, and/or when it has been clicked in the past.

----
### Methods in Native React

There’s no onHover or onBlur like on websites. Instead, it’s onMouseEnter and onMouseLeave

---
### Challenge

**Mimic:**
- There's text “Move mouse over me or click me”
- When user clicks on computer or phone, it goes faded (Hint: TouchableOpacity)
- When user moves mouse over the text on computer, it goes red text

  
![](c1QyyRc.png)


![](qMdwYFn.png)

---

### Answer

**Given up or comparing after you finished?** 

Answer:
```
import { View, Text, TouchableOpacity } from "react-native";  
import { useState } from 'react'  
  
export default function App() {  
  const [onHover, setOnHover] = useState(0)  
  
  return (  
    <View  
      style={{  
        flex: 1,  
        justifyContent: "center",  
        alignItems: "center",  
      }}  
    >  
      <TouchableOpacity  
        onMouseEnter = {()=> setOnHover(1)}  
        onMouseLeave = {()=> setOnHover(0)}  
      >  
        <Text style={onHover===1?{color:'red'}:{}}>Move mouse over me or click me</Text>  
      </TouchableOpacity>  
    </View>  
  );  
}
```